
#include <string>
#include <list>
#include <iostream>
#include <sstream>
#include <fstream>

#include <cstdlib>
#include <stdio.h>
#include <string.h>

#include <boost/spirit.hpp>

#include "fbe_xml_grammar.hpp"
#include "fbe_archive_exception.hpp"

using namespace std;
using namespace boost::spirit;

template<>
void xml_grammar::init_chset(){
    Char = chset_t("\x9\xA\xD\x20-\xFF");
    Letter = chset_t("\x41-\x5A\x61-\x7A\xC0-\xD6\xD8-\xF6\xF8-\xFF");
    Digit = chset_t("0-9");
    Extender = chset_t('\xB7');
    Sch = chset_t("\x20\x9\xD\xA");
    NameChar = Letter | Digit | chset_p("._:-") | Extender ;
}


int main (int argc, char **argv)
{

	string line = "<pDeleteHlrSubscriberIn class_id=\"0\" tracking_level=\"0\" version=\"0\">";
	cout << "test is '" << line << "'" << endl;

	xml_grammar *gram = new xml_grammar();

	{
	istringstream iss(line);
	bool result = gram->parse_start_tag(iss);
	cout << "parse_start_tag('" << line << "') returned " << result << endl;
	}

        return 0;
}
